Make watcher use runZonedGuarded.

This package is depended on by the Dart SDK. This prepares it for
the release of Dart 2.8 which has a breaking change around runZoned.
The SDK version should be set to 2.8.0 before publishing.
3 files changed
tree: 914e074b2900e96052f267d7442762a4c7c013d5
  1. .gitignore
  2. .test_config
  3. .travis.yml
  4. CHANGELOG.md
  5. LICENSE
  6. README.md
  7. analysis_options.yaml
  8. benchmark/
  9. example/
  10. lib/
  11. pubspec.yaml
  12. test/
README.md

A file system watcher.

It monitors changes to contents of directories and sends notifications when files have been added, removed, or modified.